<template>
	<div>
		<md-tabs>
			<md-tab md-label="Charts">
				<Chart :chart_data='chart_data'></Chart>
			</md-tab>
			<md-tab md-label="Explanations">
				<Assumptions />
			</md-tab>
		</md-tabs>
	</div>
</template>

<script>
	import Vue from 'vue'
	import {MdTabs } from 'vue-material/dist/components'
	import Chart from "./Chart.vue"
	import Assumptions from "./Assumptions"

	Vue.use(MdTabs);

	export default {
		name: "Tabs",
		props: {
			chart_data: Array
		},
		components: {
			Chart,
			Assumptions
		},
		mounted() {
			console.log("Tabs Mounted");
		},
		updated() {
			console.log("Tabs Updated");
		}
	}
</script>

<style lang="scss" scoped>
  .md-tabs {
    margin-bottom: 4px;
  }
</style>